%global pkg_name mtl

%global common_summary Haskell Monad Transformer Library

%global common_description A monad transformer library for Haskell: part of haskell-platform.

Name:           ghc-%{pkg_name}
# haskell-platform-2011.2.0.1
Version:        2.0.1.0
Release:        7%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# ghc_excluded_archs is defined in redhat-rpm-config
ExcludeArch:    %{ghc_excluded_archs}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-transformers-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_lib_package


%changelog
* Sun Jun 19 2011 Jens Petersen <petersen@redhat.com> - 2.0.1.0-7
- BR ghc-Cabal-devel instead of ghc-prof
- use ghc_excluded_archs

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 2.0.1.0-6
- update to cabal2spec-0.23

* Thu May 05 2011 Jiri Skala <jskala@redhat.com> - 2.0.1.0-5
- Enable build on ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2.0.1.0-4
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Jens Petersen <petersen@redhat.com> - 2.0.1.0-2
- update to cabal2spec-0.22.4

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 2.0.1.0-1
- update to mtl 2.0.1.0 for ghc7
- depends on transformers

* Wed Nov 24 2010 Jens Petersen <petersen@redhat.com> - 1.1.0.2-9
- drop the -o obsoletes

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 1.1.0.2-8
- update to latest macros, hscolour and drop doc pkg (cabal2spec-0.22.2)
- part of haskell-platform-2010.2.0.0

* Wed Jun 23 2010 Jens Petersen <petersen@redhat.com> - 1.1.0.2-7
- use ghc_strip_dynlinked (ghc-rpm-macros-0.6.0)

* Sat Apr 24 2010 Jens Petersen <petersen@redhat.com> - 1.1.0.2-6
- part of haskell-platform-2010.1.0.0
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 1.1.0.2-5
- bump release above the temporary ghc mtl subpackages

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 1.1.0.2-2
- update to ghc-rpm-macros-0.5.1: use ghc_lib_package
- drop bcond for doc and prof
- add comment about haskell-platform

* Thu Dec 24 2009 Jens Petersen <petersen@redhat.com> - 1.1.0.2-1
- update packaging for ghc-6.12.1
- added shared library support
- use new ghc*_requires macros: needs ghc-rpm-macros 0.4.0

* Wed Dec 23 2009 Fedora Haskell SIG <fedora-haskell-list@redhat.com> - 1.1.0.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.19
